Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class DirectDebitTransactionInformationSDD

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.DirectDebitTransactionInformationSDD

public class DirectDebitTransactionInformationSDD extends Object

Java class for DirectDebitTransactionInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransactionInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:swift:xsd:$pain.008.002.01}PaymentIdentification1"/>
             <element name="InstdAmt" type="{urn:swift:xsd:$pain.008.002.01}CurrencyAndAmountSDD"/>
             <element name="ChrgBr" type="{urn:swift:xsd:$pain.008.002.01}ChargeBearerTypeSDDCode" minOccurs="0"/>
             <element name="DrctDbtTx" type="{urn:swift:xsd:$pain.008.002.01}DirectDebitTransactionSDD"/>
             <element name="UltmtCdtr" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD1" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:swift:xsd:$pain.008.002.01}BranchAndFinancialInstitutionIdentificationSDD1"/>
             <element name="Dbtr" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD3"/>
             <element name="DbtrAcct" type="{urn:swift:xsd:$pain.008.002.01}CashAccountSDD2"/>
             <element name="UltmtDbtr" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD1" minOccurs="0"/>
             <element name="Purp" type="{urn:swift:xsd:$pain.008.002.01}PurposeSDD" minOccurs="0"/>
             <element name="RmtInf" type="{urn:swift:xsd:$pain.008.002.01}RemittanceInformationSDDChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ChargeBearerTypeSDDCode`
`chrgBr`
`protected PartyIdentificationSDD3`
`dbtr`
`protected CashAccountSDD2`
`dbtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSDD1`
`dbtrAgt`
`protected DirectDebitTransactionSDD`
`drctDbtTx`
`protected CurrencyAndAmountSDD`
`instdAmt`
`protected PaymentIdentification1`
`pmtId`
`protected PurposeSDD`
`purp`
`protected RemittanceInformationSDDChoice`
`rmtInf`
`protected PartyIdentificationSDD1`
`ultmtCdtr`
`protected PartyIdentificationSDD1`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`DirectDebitTransactionInformationSDD()`

## Method Summary

Modifier and Type
Method
Description
`ChargeBearerTypeSDDCode`
`getChrgBr()`
Gets the value of the chrgBr property.
`PartyIdentificationSDD3`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccountSDD2`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentificationSDD1`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`DirectDebitTransactionSDD`
`getDrctDbtTx()`
Gets the value of the drctDbtTx property.
`CurrencyAndAmountSDD`
`getInstdAmt()`
Gets the value of the instdAmt property.
`PaymentIdentification1`
`getPmtId()`
Gets the value of the pmtId property.
`PurposeSDD`
`getPurp()`
Gets the value of the purp property.
`RemittanceInformationSDDChoice`
`getRmtInf()`
Gets the value of the rmtInf property.
`PartyIdentificationSDD1`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`PartyIdentificationSDD1`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setChrgBr(ChargeBearerTypeSDDCode value)`
Sets the value of the chrgBr property.
`void`
`setDbtr(PartyIdentificationSDD3 value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccountSDD2 value)`
Sets the value of the dbtrAcct property.
`void`
`setDbtrAgt(BranchAndFinancialInstitutionIdentificationSDD1 value)`
Sets the value of the dbtrAgt property.
`void`
`setDrctDbtTx(DirectDebitTransactionSDD value)`
Sets the value of the drctDbtTx property.
`void`
`setInstdAmt(CurrencyAndAmountSDD value)`
Sets the value of the instdAmt property.
`void`
`setPmtId(PaymentIdentification1 value)`
Sets the value of the pmtId property.
`void`
`setPurp(PurposeSDD value)`
Sets the value of the purp property.
`void`
`setRmtInf(RemittanceInformationSDDChoice value)`
Sets the value of the rmtInf property.
`void`
`setUltmtCdtr(PartyIdentificationSDD1 value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(PartyIdentificationSDD1 value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmtId

protected PaymentIdentification1 pmtId

### instdAmt

protected CurrencyAndAmountSDD instdAmt

### chrgBr

protected ChargeBearerTypeSDDCode chrgBr

### drctDbtTx

protected DirectDebitTransactionSDD drctDbtTx

### ultmtCdtr

protected PartyIdentificationSDD1 ultmtCdtr

### dbtrAgt

protected BranchAndFinancialInstitutionIdentificationSDD1 dbtrAgt

### dbtr

protected PartyIdentificationSDD3 dbtr

### dbtrAcct

protected CashAccountSDD2 dbtrAcct

### ultmtDbtr

protected PartyIdentificationSDD1 ultmtDbtr

### purp

protected PurposeSDD purp

### rmtInf

protected RemittanceInformationSDDChoice rmtInf

## Constructor Details

### DirectDebitTransactionInformationSDD

public DirectDebitTransactionInformationSDD()

## Method Details

### getPmtId

public PaymentIdentification1 getPmtId()
Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentification1`

### setPmtId

public void setPmtId(PaymentIdentification1 value)
Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentification1`

### getInstdAmt

public CurrencyAndAmountSDD getInstdAmt()
Gets the value of the instdAmt property.

Returns:
  possible object is `CurrencyAndAmountSDD`

### setInstdAmt

public void setInstdAmt(CurrencyAndAmountSDD value)
Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmountSDD`

### getChrgBr

public ChargeBearerTypeSDDCode getChrgBr()
Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerTypeSDDCode`

### setChrgBr

public void setChrgBr(ChargeBearerTypeSDDCode value)
Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerTypeSDDCode`

### getDrctDbtTx

public DirectDebitTransactionSDD getDrctDbtTx()
Gets the value of the drctDbtTx property.

Returns:
  possible object is `DirectDebitTransactionSDD`

### setDrctDbtTx

public void setDrctDbtTx(DirectDebitTransactionSDD value)
Sets the value of the drctDbtTx property.

Parameters:
  `value` - allowed object is `DirectDebitTransactionSDD`

### getUltmtCdtr

public PartyIdentificationSDD1 getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentificationSDD1`

### setUltmtCdtr

public void setUltmtCdtr(PartyIdentificationSDD1 value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD1`

### getDbtrAgt

public BranchAndFinancialInstitutionIdentificationSDD1 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSDD1`

### setDbtrAgt

public void setDbtrAgt(BranchAndFinancialInstitutionIdentificationSDD1 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSDD1`

### getDbtr

public PartyIdentificationSDD3 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentificationSDD3`

### setDbtr

public void setDbtr(PartyIdentificationSDD3 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD3`

### getDbtrAcct

public CashAccountSDD2 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccountSDD2`

### setDbtrAcct

public void setDbtrAcct(CashAccountSDD2 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSDD2`

### getUltmtDbtr

public PartyIdentificationSDD1 getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentificationSDD1`

### setUltmtDbtr

public void setUltmtDbtr(PartyIdentificationSDD1 value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD1`

### getPurp

public PurposeSDD getPurp()
Gets the value of the purp property.

Returns:
  possible object is `PurposeSDD`

### setPurp

public void setPurp(PurposeSDD value)
Sets the value of the purp property.

Parameters:
  `value` - allowed object is `PurposeSDD`

### getRmtInf

public RemittanceInformationSDDChoice getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformationSDDChoice`

### setRmtInf

public void setRmtInf(RemittanceInformationSDDChoice value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformationSDDChoice`